com.amazonaws.services.cloudfront.model

## Class CloudFrontOriginAccessIdentitySummary

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.CloudFrontOriginAccessIdentitySummary

All Implemented Interfaces:
  Serializable, Cloneable

    public class CloudFrontOriginAccessIdentitySummary
    extends Object
    implements Serializable, Cloneable

Summary of the information about a CloudFront origin access identity.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CloudFrontOriginAccessIdentitySummary()`

### Method Summary

All Methods Instance Methods Concrete Methods
`CloudFrontOriginAccessIdentitySummary` `clone()`
`boolean` `equals(Object obj)`
`String` `getComment()` The comment for this origin access identity, as originally specified when created.
`String` `getId()` The ID for the origin access identity.
`String` `getS3CanonicalUserId()` The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.
`int` `hashCode()`
`void` `setComment(String comment)` The comment for this origin access identity, as originally specified when created.
`void` `setId(String id)` The ID for the origin access identity.
`void` `setS3CanonicalUserId(String s3CanonicalUserId)` The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`CloudFrontOriginAccessIdentitySummary` `withComment(String comment)` The comment for this origin access identity, as originally specified when created.
`CloudFrontOriginAccessIdentitySummary` `withId(String id)` The ID for the origin access identity.
`CloudFrontOriginAccessIdentitySummary` `withS3CanonicalUserId(String s3CanonicalUserId)` The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CloudFrontOriginAccessIdentitySummary

    public CloudFrontOriginAccessIdentitySummary()

### Method Detail

#### setId

    public void setId(String id)

The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

Parameters:
  `id` - The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

#### getId

    public String getId()

The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

Returns:
  The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

#### withId

    public CloudFrontOriginAccessIdentitySummary withId(String id)

The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.

Parameters:
  `id` - The ID for the origin access identity. For example: `E74FTE3AJFJ256A`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setS3CanonicalUserId

    public void setS3CanonicalUserId(String s3CanonicalUserId)

The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.

Parameters:
  `s3CanonicalUserId` - The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.

#### getS3CanonicalUserId

    public String getS3CanonicalUserId()

The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.

Returns:
  The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.

#### withS3CanonicalUserId

    public CloudFrontOriginAccessIdentitySummary withS3CanonicalUserId(String s3CanonicalUserId)

The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.

Parameters:
  `s3CanonicalUserId` - The Amazon S3 canonical user ID for the origin access identity, which you use when giving the origin access identity read permission to an object in Amazon S3.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setComment

    public void setComment(String comment)

The comment for this origin access identity, as originally specified when created.

Parameters:
  `comment` - The comment for this origin access identity, as originally specified when created.

#### getComment

    public String getComment()

The comment for this origin access identity, as originally specified when created.

Returns:
  The comment for this origin access identity, as originally specified when created.

#### withComment

    public CloudFrontOriginAccessIdentitySummary withComment(String comment)

The comment for this origin access identity, as originally specified when created.

Parameters:
  `comment` - The comment for this origin access identity, as originally specified when created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public CloudFrontOriginAccessIdentitySummary clone()

Overrides:
  `clone` in class `Object`